<?php

namespace RP\AdsManager\Backend\Hooks;

use RP\AdsManager\Hook;

class I18n extends Hook
{
    protected $function = 'add_action';

    protected $args = [
        'plugins_loaded',
        [I18n::class, 'Load'],
        100,
    ];

    public static function Load()
    {
        load_plugin_textdomain(
            'rp-ads-manager',
            false,
            plugin_basename(RPAM_PATH).'/languages/'
        );
    }
}