<?php

namespace RP\AdsManager\Backend\Hooks;

use RP\AdsManager\Backend\View;
use RP\AdsManager\Hook;

class ManagementPage extends Hook
{
    protected $function = 'add_action';

    protected $args = [
        'admin_menu',
        [ManagementPage::class, 'Menu'],
        100,
    ];

    public static function Menu()
    {
        add_management_page(
            'RP Ads Manager',
            'RP Ads Manager',
            'manage_options',
            'rp-ads-manager-plugin',
            [View::class, 'ManagementPage']
        );
    }
}