<div class="wrap">
    <h1 class="wp-heading-inline"><?php _e( is_null( $record['id'] ) ? 'Create ' : 'Edit ', 'rp-ads-manager' ) ?> <?php _e($record['type'] == 'wgt' ? 'Widget' : 'Ad Block', 'rp-ads-manager'); ?></h1>
    <hr class="wp-header-end">
    <?php if ($saved): ?>
    <div id="message-success" class="updated notice notice-success is-dismissible">
        <p><?php _e('Successfully saved', 'rp-ads-manager'); ?>. <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin' ); ?>"><?php _e('Back to the list', 'rp-ads-manager'); ?></a></p>
        <button class="notice-dismiss"></button>
    </div>
    <?php endif; ?>
    <div id="message-error" class="error notice notice-error" style="display: none;">
        <p></p>
    </div>
    <form id="rpam-form" action="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin&action=editor&type='. $record['type'] . ( is_null( $record['id'] ) ? '' : '&id=' . $record['id'] ) ) ?>" method="post">
        <input type="hidden" name="rpam[type]" value="<?php echo $record['type'] ?>">
        <div id="poststuff">
            <div id="post-body" class="metabox-holder columns-2">
                <div id="post-body-content">
                    <div id="titlediv">
                        <div id="titlewrap">
                            <input type="text" name="rpam[title]" size="30" value="<?php echo $record['title'] ?>" id="title" autocomplete="off" title="<?php _e('Ad title', 'rp-ads-manager') ?>" placeholder="<?php _e('Ad title', 'rp-ads-manager') ?>">
                        </div>
                    </div>
                    <div class="rp-flex-container">
                        <div class="rp-form-block-1">
                            <label for="rp-ads-manager-code" class="code-editor"><?php _e( 'Ad code (js/html)', 'rp-ads-manager' ); ?>:</label>
                            <textarea id="rp-ads-manager-code" name="rpam[code]" cols="70" rows="15"><?php echo $record['code']; ?></textarea>

                            <div class="separate-init-code-wrapper">
                                <div class="code-editor">
                                    <label><input id="separate-init-code-checker" type="checkbox" name="rpam[use_init]" value="yes" <?php if ( ! is_null( $record['init'] ) ): ?>checked<?php endif; ?>><?php _e( 'Use separated init code (js only) and output it to footer', 'rp-ads-manager' ); ?>:</label>
                                </div>
                                <div class="text-area-holder" <?php if ( is_null( $record['init'] ) ): ?>style="display:none;"<?php endif; ?>>
                                    <label><textarea id="rp-ads-manager-init-code" name="rpam[init]" cols="70" rows="15" <?php if ( is_null( $record['init'] ) ): ?>disabled<?php endif; ?>><?php if ( ! is_null( $record['init'] ) ) {echo $record['init'];} ?></textarea></label>
                                </div>
                            </div>
                        </div>
                        <div class="rp-form-block-2">

	                        <?php if ( $record['type'] == 'ads' ): ?>
                                <span class="code-editor"><?php _e( 'Where to display block', 'rp-ads-manager' ); ?></span>
                                <?php foreach ( $places as $key => $place ): ?>
                                    <?php $hidden = empty( $record['places'] ) || ! array_key_exists( $key, $record['places'] ); ?>
                                    <div class="place-container">
                                        <div class="p-tb"><label><input id="rpam-<?php echo $key ?>" name="rpam[display][<?php echo $key ?>]" value="yes" type="checkbox" <?php if ( in_array( $key, array_keys( $record['places'] ) ) ): ?>checked<?php endif; ?> class="show-positions"><b><?php _e( $place['title'], 'rp-ads-manager' ) ?></b></label></div>
                                        <div class="place-options" <?php if ( !in_array( $key, array_keys( $record['places'] ) ) ): ?>style="display: none"<?php endif; ?>>
                                            <div class="f-block radio-list">
                                                <div class="f-list-0"><b><?php _e('Aligment', 'rp-ads-manager'); ?>:</b></div>
                                                <div class="f-list-1">
                                                    <label><input type="radio" name="rpam[display][<?php echo $key ?>][aligment]" value="none"<?php if ($hidden || $record['places'][$key]['aligment'] == 'none'): ?> checked<?php endif; ?> <?php if($hidden): ?>disabled<?php endif; ?>> <?php _e('none', 'rp-ads-manager') ?></label>
                                                </div>
                                                <div class="f-list-2">
                                                    <label><input type="radio" name="rpam[display][<?php echo $key ?>][aligment]" value="left"<?php if (!$hidden && $record['places'][$key]['aligment'] == 'left'): ?> checked<?php endif; ?> <?php if($hidden): ?>disabled<?php endif; ?>> <?php _e('left', 'rp-ads-manager') ?></label>
                                                </div>
                                                <div class="f-list-3">
                                                    <label><input type="radio" name="rpam[display][<?php echo $key ?>][aligment]" value="center"<?php if (!$hidden && $record['places'][$key]['aligment'] == 'center'): ?> checked<?php endif; ?> <?php if($hidden): ?>disabled<?php endif; ?>> <?php _e('center', 'rp-ads-manager') ?></label>
                                                </div>
                                                <div class="f-list-4">
                                                    <label><input type="radio" name="rpam[display][<?php echo $key ?>][aligment]" value="right"<?php if (!$hidden && $record['places'][$key]['aligment'] == 'right'): ?> checked<?php endif; ?> <?php if($hidden): ?>disabled<?php endif; ?>> <?php _e('right', 'rp-ads-manager') ?></label>
                                                </div>
                                            </div>
                                            <div class="f-block">
                                                <div class="f-item-1 label-holder"><label for="rp-ads-<?php echo $key ?>-css"><?php _e('Custom CSS class', 'rp-ads-manager') ?>:</label></div>
                                                <div class="f-item-2"><input id="rp-ads-<?php echo $key ?>-css" type="text" class="w-100" name="rpam[display][<?php echo $key ?>][class]" <?php if ( $hidden || ! array_key_exists( 'class', $record['places'][ $key ] ) ): ?>disabled<?php elseif ( array_key_exists( 'class', $record['places'][ $key ] ) ): ?> value="<?php echo $record['places'][ $key ]['class'] ?>"<?php endif; ?>></div>
                                            </div>
                                            <div class="f-block">
                                                <div class="f-item-1 label-holder"><label for="rp-ads-<?php echo $key ?>-position"><?php _e('Position', 'rp-ads-manager') ?>:</label></div>
                                                <div class="f-item-2">
                                                    <select id="rpam-<?php echo $key ?>-position" name="rpam[display][<?php echo $key ?>][position]" <?php if ( ! in_array( $key, array_keys( $record['places'] ) ) ): ?>disabled<?php endif; ?>>
                                                        <option value=""></option>
                                                        <?php foreach ( $place['positions'] as $value => $position ): ?>
                                                            <option <?php if ( in_array( $key, array_keys( $record['places'] ) ) && $record['places'][ $key ]['position'] == $value ): ?>selected<?php endif; ?> value="<?php echo $value ?>"<?php if ( in_array( $value, $hasViewOptions ) ): ?> data-has-options="true"<?php endif; ?>><?php _e( $position, 'rp-ads-manager' ) ?></option>
                                                        <?php endforeach; ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="view-options" <?php if ($hidden || !array_key_exists( 'number', $record['places'][ $key ] )): ?>style="display: none;"<?php endif; ?>>
                                                <label><?php _e( 'number', 'rp-ads-manager' ); ?> <input type="number" name="rpam[display][<?php echo $key ?>][number]" <?php if ( $hidden || ! array_key_exists( 'number', $record['places'][ $key ] ) ): ?>disabled<?php elseif ( array_key_exists( 'number', $record['places'][ $key ] ) ): ?> value="<?php echo $record['places'][ $key ]['number'] ?>"<?php endif; ?> class="w-50p view-option"></label>
                                                <label><?php _e( 'or', 'rp-ads-manager' ); ?> <input type="checkbox" name="rpam[display][<?php echo $key ?>][in_the_end]" class="view-option" <?php if ( $hidden || ! in_array( $record['places'][ $key ]['position'], $hasViewOptions ) ): ?>disabled<?php endif; ?> <?php if ( ! $hidden && array_key_exists( 'in_the_end', $record['places'][ $key ] ) ): ?> checked <?php endif; ?>> <?php _e( 'in the end if not enought elements', 'rp-ads-manager' ); ?></label>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                <?php endforeach; ?>
	                        <?php endif; ?>

                        </div>
                        <div class="rp-form-footer">
                            <div class="buttons">
                                <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin'); ?>" class="button"><?php _e('Back', 'rp-ads-manager'); ?></a>
                                <button class="button button-primary"><?php _e( 'Save', 'rp-ads-manager' ); ?></button>
                                <?php if (!is_null($record['id'])): ?>
                                    <a href="<?php echo admin_url( 'tools.php?page=rp-ads-manager-plugin&action=delete&id='.$record['id'] ) ?>" class="button delete"><?php _e('Delete', 'rp-ads-manager'); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="postbox-container-1" class="postbox-container">
                    <div class="postbox" style="display: none;">
                        <h2><?php _e('Quick help', 'rp-ads-manager'); ?></h2>
                        <div class="inside">

                        </div>
                    </div>
                </div>
            </div>
            <br class="clear">
        </div>
    </form>
</div>
<script>
    var rpam_errors = {
        'title': '<?php _e('Enter <b>title</b> min: 2 symbols', 'rp-ads-manager'); ?>',
        'number': '<?php _e( 'You must enter <b>number</b> with this option selected', 'rp-ads-manager' ); ?>',
        'code': '<?php _e('Enter <b>block code</b> min: 10 symbols', 'rp-ads-manager'); ?>',
        'init': '<?php _e('Enter <b>init code</b> min: 10 symbols or disable it', 'rp-ads-manager'); ?>',
        'select': '<?php _e('You must select init code place', 'rp-ads-manager'); ?>'
    };

    (function ($) {
        $('.delete').on('click', function (e) {
            var confirm = window.confirm('<?php _e('Do you want to delete this object?', 'rp-ads-manager'); ?>');
            if (!confirm) {
                e.preventDefault();
            }
        });
    })(jQuery);

</script>
