<?php

namespace RP\AdsManager\Frontend\Hooks;

use RP\AdsManager\Database;
use RP\AdsManager\Hook;

class Header extends Hook
{
    protected $function = 'add_action';

    protected $args = [
        'wp_head',
        ['RP\\AdsManager\\Frontend\\Hooks\\Header', 'process'],
    ];

    public static function process()
    {
        if (is_single()) {
            the_post();
            $content = get_the_content();
            rewind_posts();

            if (false === strpos($content, "<!--RPAM-OffAds-->") && false === strpos($content, "<!--RPAM-OffWidget-->")) {

                global $wpdb;

                $ads = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix.Database::ADS_TABLE." WHERE `enabled` = '1' AND `init` LIKE '%\"header\"%'", ARRAY_A);

                foreach ($ads as $ad) {
                    if ($ad['type'] == 'wgt') {
                        if (false !== is_active_widget(false, 'rp-wgt-'.$ad['id'], 'rp-wgt', true)) {
                            $widget_init = unserialize($ad['init']);
                            $output      = $widget_init['code'];
                            echo $output;
                        }
                    }
                }
            }
        }
    }
}
