<?php

namespace RP\AdsManager;

class AdsManager
{

    public function __construct()
    {
        add_action( 'plugins_loaded', [Database::class, 'checkUpdate'] );
    }

    public function run($is_admin)
    {
        /** @var Backend\Controller|Frontend\Controller $className */
        $className = 'RP\\AdsManager\\'.($is_admin ? 'Backend' : 'Frontend').'\\Controller';

        $className::getInstance()->init()->run();
    }

    public static function activate()
    {
        Database::setUp();
        Database::import();
    }

    public static function deactivate()
    {

    }
}